/*
 * Copyright  1999-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

/* $Id: DocumentTypeBuildException.java 176415 2005-05-23 00:55:20Z gregor $  */

package org.apache.lenya.cms.publication;

/**
 * Document type build exception
 */
public class DocumentTypeBuildException extends Exception {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * Constructor
     */
    public DocumentTypeBuildException() {
        super();
    }

    /**
     * Creates a new DocumentTypeBuildException.
     * @param message the exception message
     */
    public DocumentTypeBuildException(String message) {
        super(message);
    }

    /**
     * Creates a new DocumentTypeBuildException.
     * @param message the exception message
     * @param cause the cause of the exception
     */
    public DocumentTypeBuildException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Creates a new DocumentTypeBuildException.
     * @param cause the cause of the exception
     */
    public DocumentTypeBuildException(Throwable cause) {
        super(cause);
    }
}
