/*
 * Copyright  1999-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

/* $Id: Action.java 156931 2005-03-10 10:26:24Z andreas $  */

package org.apache.lenya.workflow;


/**
 * Workflow action.
 */
public interface Action {
	
    /**
     * Executes this action for a given workflow instance.
     * @param resultingVersion The resulting version.
     * @throws WorkflowException if the execution failed
     */
    void execute(Version resultingVersion) throws WorkflowException;
}
